Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum BinaryConditionalOperator

    java.lang.Object
      java.lang.Enum<BinaryConditionalOperator>
          org.apache.openjpa.persistence.query.BinaryConditionalOperator

All Implemented Interfaces:
  Serializable, Comparable<BinaryConditionalOperator>

    public enum BinaryConditionalOperator

extends Enum<BinaryConditionalOperator>

Enumeration of conditional operator that operates on ordered pair of expression to generate a predicate.

Author:
  Pinaki Poddar
See Also:
  `BinaryExpressionPredicate`

Enum Constant Summary
`BETWEEN`
`BETWEEN_NOT`
`EQUAL`
`EQUAL_NOT`
`GREATER`
`GREATEREQUAL`
`IN`
`IN_NOT`
`LESS`
`LESSEQUAL`
`LIKE`
`LIKE_NOT`
`MEMBER`
`MEMBER_NOT`

Method Summary
`String` | `toString()`
`static BinaryConditionalOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinaryConditionalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BETWEEN

    public static final BinaryConditionalOperator BETWEEN

### BETWEEN_NOT

    public static final BinaryConditionalOperator BETWEEN_NOT

### EQUAL

    public static final BinaryConditionalOperator EQUAL

### EQUAL_NOT

    public static final BinaryConditionalOperator EQUAL_NOT

### GREATER

    public static final BinaryConditionalOperator GREATER

### GREATEREQUAL

    public static final BinaryConditionalOperator GREATEREQUAL

### IN

    public static final BinaryConditionalOperator IN

### IN_NOT

    public static final BinaryConditionalOperator IN_NOT

### LESS

    public static final BinaryConditionalOperator LESS

### LESSEQUAL

    public static final BinaryConditionalOperator LESSEQUAL

### LIKE

    public static final BinaryConditionalOperator LIKE

### LIKE_NOT

    public static final BinaryConditionalOperator LIKE_NOT

### MEMBER

    public static final BinaryConditionalOperator MEMBER

### MEMBER_NOT

    public static final BinaryConditionalOperator MEMBER_NOT

Method Detail

### values

    public static BinaryConditionalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BinaryConditionalOperator c : BinaryConditionalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BinaryConditionalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<BinaryConditionalOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.